| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
wxRichTextFontTable Class Reference
Rich Text

`#include <wx/richtext/richtextbuffer.h>`

Inheritance diagram for wxRichTextFontTable:
[legend]

## Detailed Description

Manages quick access to a pool of fonts for rendering rich text.

##

Library: wxRichText
Category: Rich Text

See Also
  wxRichTextBuffer, wxRichTextCtrl

## Public Member Functions
| wxRichTextFontTable ()
| Default constructor.
| wxRichTextFontTable (const wxRichTextFontTable &table)
| Copy constructor.
virtual | ~wxRichTextFontTable ()
bool | IsOk () const
| Returns true if the font table is valid.
wxFont | FindFont (const wxRichTextAttr &fontSpec)
| Finds a font for the given attribute object.
void | Clear ()
| Clears the font table.
void | operator= (const wxRichTextFontTable &table)
| Assignment operator.
bool | operator== (const wxRichTextFontTable &table) const
| Equality operator.
bool | operator!= (const wxRichTextFontTable &table) const
| Inequality operator.
void | SetFontScale (double fontScale)
| Set the font scale factor.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Protected Attributes
double | m_fontScale
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.

## Constructor & Destructor Documentation

wxRichTextFontTable::wxRichTextFontTable | ( |  | ) |

Default constructor.

wxRichTextFontTable::wxRichTextFontTable | ( | const wxRichTextFontTable & | table | ) |

Copy constructor.

virtual wxRichTextFontTable::~wxRichTextFontTable | ( |  | ) |
| virtual

## Member Function Documentation

void wxRichTextFontTable::Clear | ( |  | ) |

Clears the font table.

wxFont wxRichTextFontTable::FindFont | ( | const wxRichTextAttr & | fontSpec | ) |

Finds a font for the given attribute object.

bool wxRichTextFontTable::IsOk | ( |  | ) | const
| inline

Returns true if the font table is valid.

bool wxRichTextFontTable::operator!= | ( | const wxRichTextFontTable & | table | ) | const
| inline

Inequality operator.

void wxRichTextFontTable::operator= | ( | const wxRichTextFontTable & | table | ) |

Assignment operator.

bool wxRichTextFontTable::operator== | ( | const wxRichTextFontTable & | table | ) | const

Equality operator.

void wxRichTextFontTable::SetFontScale | ( | double | fontScale | ) |

Set the font scale factor.

## Member Data Documentation

double wxRichTextFontTable::m_fontScale
| protected